package com.muyu.server.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import com.muyu.domain.FaultCode;
import com.muyu.domain.FaultLabel;
import com.muyu.domain.req.FaultCodeAddReq;
import com.muyu.domain.req.FaultCodeListReq;
import com.muyu.domain.req.FaultCodeUpdReq;
import com.muyu.domain.vo.FaultCodeVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.faultmanage.mapper
 * @Project：cloud-faultmanage
 * @name：FaultCodeMapper
 * @Date：2024/9/17 14:52
 */
@Mapper
public interface FaultCodeMapper extends BaseMapper<FaultCodeVO> {

    List<FaultCodeVO> selectfaultcodelist(FaultCodeListReq faultCodeListReq);



    //新增故障码
    FaultLabel selectfaultName(@Param("messageTypeName") String messageTypeName);
    FaultCode selectfaultCode(@Param("faultcodeNumber") String faultcodeNumber);
    Integer insertfaultlabel(FaultCodeAddReq faultCodeAddReq);
    Integer insertfaultcode(FaultCodeAddReq faultCodeAddReq);

    //修改故障码
    Integer updfaultlabel(FaultCodeUpdReq faultCodeUpdReq);
    Integer updfaultcode(FaultCodeUpdReq faultCodeUpdReq);



    Integer delfaultcode(@Param("messageTypeId") long messageTypeId);
    Integer delfaultlabel(@Param("messageTypeId") long messageTypeId);
}
