package com.muyu.server.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.CarFence;
import com.muyu.domain.req.*;
import com.muyu.domain.resp.CarFenceGroupResp;
import com.muyu.domain.resp.CarFenceGroupsResp;
import com.muyu.domain.resp.CarFenceResp;

import java.util.List;

/**
 * @Author：yang
 * @Package：com.muyu.server.service
 * @Project：cloud-electronic
 * @name：CarFenceService
 * @Date：2024/9/17 16:54
 */
public interface CarFenceService extends IService<CarFence> {
    /**
     * 查询围栏信息
     */
    public Page<CarFenceResp> selectCarFence(CarFenceReq req);

    Boolean addCarFence(CarFence carFence);

    Boolean addCarGroup(CarGroupReq req);

    Boolean addFenceGroup(FenceGroupReq req);

    List<CarFenceGroupResp> selectCarFenceGroupList(Integer id);

    Boolean carFenceGroupDel(CarGroupIdReq carGroupIdReq);

    List<CarFenceGroupsResp> carGroupList(CarFenceGroupReq req);
}
