package com.muyu.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.domain.Result;
import com.muyu.domain.CarMessage;
import com.muyu.domain.resp.CarMessageResp;

import java.util.List;

public interface CarMessageService extends IService<CarMessage> {

    /**
     * 根据所属车类别 解析 车辆报文模板
     * @param
     * @return
     */
    List<CarMessage> selectCarMessageList();


    /**
     * 添加车辆报文规则
     */
    Result insertCarMessage(CarMessage carMessage);


    /**
     * 删除车辆报文规则
     */
    Result delectByCarMessageId(Integer carMessageId);


    /**
     * 修改车辆报文规则
     */
    Result updateCarMessage(CarMessage carMessage);

    /**
     * 查询
     * @param id
     * @return
     */
    List<CarMessageResp> selectJoinList(Long id);

}
