package com.muyu.server.service.impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.muyu.common.core.domain.Result;
import com.muyu.domain.CarInformation;
import com.muyu.domain.req.CarInformationAddReq;
import com.muyu.domain.req.CarInformationListReq;
import com.muyu.domain.req.CarInformationUpdReq;
import com.muyu.domain.resp.CarInformationResp;
import com.muyu.server.mapper.CarInformationMapper;
import com.muyu.server.service.CarInformationService;
import jakarta.servlet.http.HttpServletResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class CarInformationServiceImpl implements CarInformationService {
    @Resource
    private CarInformationMapper carInformationMapper;
    @Autowired
    private HttpServletResponse response;


    @Override
    public PageInfo<CarInformationResp> selectCarInformationList(CarInformationListReq carInformationListReq) {
        PageHelper.startPage(carInformationListReq.getPageNum(),carInformationListReq.getPageSize());
        List<CarInformationResp> carInformations = carInformationMapper.selectCarInformationList(carInformationListReq);
        PageInfo<CarInformationResp> pageInfo = new PageInfo<>(carInformations);
        return pageInfo;
    }

    @Override
    public Result addCarInformation(CarInformationAddReq carInformationAddReq) {
        Integer addCarInformation = carInformationMapper.addCarInformation(carInformationAddReq);
        if(addCarInformation > 0){
            return Result.success(addCarInformation,"添加车辆成功");
        }
        return Result.error(402,"添加车辆失败");
    }

    @Override
    public Result delBycarInformationId(Integer carInformationId) {
        Integer delBycarInformationId = carInformationMapper.delBycarInformationId(carInformationId);
        if (delBycarInformationId > 0){
            return Result.success(delBycarInformationId ,"删除车辆成功");
        }
        return Result.error(402,"删除车辆失败");
    }


    @Override
    public Result updatecarInformation(CarInformationUpdReq carInformationUpdReq) {
        Integer updatecarInformation = carInformationMapper.updatecarInformation(carInformationUpdReq);
        if(updatecarInformation > 0)
        {
            return Result.success(carInformationUpdReq,"修改成功");
        }
        return Result.error( 402,"修改失败");
    }


    @Override
    public List<CarInformationResp> selectBycarInformationIDAndLicensePlate() {
        return carInformationMapper.selectBycarInformationIDAndLicensePlate();
    }
}
