package com.muyu.server.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.yulichang.query.MPJLambdaQueryWrapper;
import com.github.yulichang.wrapper.MPJLambdaWrapper;
import com.muyu.common.core.domain.Result;
import com.muyu.domain.CarMessage;
import com.muyu.domain.CarMessageType;
import com.muyu.domain.resp.CarMessageResp;
import com.muyu.server.mapper.CarMessageMapper;
import com.muyu.server.service.CarMessageService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author 17353
 */
@Service
public class CarMessageServiceImpl
        extends ServiceImpl<CarMessageMapper,CarMessage>
        implements CarMessageService {
    @Resource
    private CarMessageMapper carMessageMapper;

    @Override
    public List<CarMessage> selectCarMessageList() {
        return  carMessageMapper.selectCarMessageList();
    }

    @Override
    public Result insertCarMessage(CarMessage carMessage) {
        Integer inserted = carMessageMapper.insertCarMessage(carMessage);
        if (inserted > 0){
            return Result.success(inserted,"添加成功");
        }
        return Result.error(402,"添加失败");
    }

    @Override
    public Result delectByCarMessageId(Integer carMessageId) {
        Integer deleteByCarMessageId = carMessageMapper.deleteByCarMessageId(carMessageId);
        if (deleteByCarMessageId >0){
            return Result.success(carMessageId ,"删除成功");
        }
        return  Result.error(402,"删除失败");
    }

    @Override
    public Result updateCarMessage(CarMessage carMessage) {
        Integer integer = carMessageMapper.updateCarMessage(carMessage);
        if(integer > 0)
        {
            return Result.success(carMessage,"修改成功");
        }
        return Result.error( 402,"修改失败");
    }

    @Override
    public List<CarMessageResp> selectJoinList(Long id) {
        return carMessageMapper.selectJoinList(CarMessageResp.class, new MPJLambdaWrapper<CarMessage>()
                .select(CarMessage::getCarMessageId,
                        CarMessage::getCarMessageCartype,
                        CarMessage::getCarMessageType,
                        CarMessage::getCarMessageStartIndex,
                        CarMessage::getCarMessageEndIndex,
                        CarMessage::getCarMessageState)
                .select(CarMessageType::getMessageTypeName)
                .leftJoin(CarMessageType.class, CarMessageType::getMessageTypeId, CarMessage::getCarMessageType)
                .eq(CarMessage::getCarMessageCartype, id));
    }


}
